Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.entry
Class ApplianceInfo

    java.lang.Object
      net.jini.entry.AbstractEntry
          org.jini.rio.entry.ApplianceInfo

All Implemented Interfaces:
  Serializable, Entry, ServiceControlled

    public class ApplianceInfo

extends AbstractEntry
implements ServiceControlled

The ApplianceInfo class defines attributes that relate to system properties of a compute resource (the appliance), namely :

- The host name and address
- Java Virtual Machine vendor & version
- The operating system name & version
- The hardware architecture of the compute resource

See Also:
  Serialized Form

Field Summary
`String` | `arch`
`String` | `hostAddress`
`String` | `hostName`
`String` | `jvmVendor`
`String` | `jvmVersion`
`String` | `osName`
`String` | `osVersion`

Constructor Summary
`ApplianceInfo()`

Method Summary
`void` | `initialize()` This initializes all attributes, using `java.net.InetAddress.getLocalHost()` as the address for the compute resource.
`void` | `initialize(InetAddress address)` This initializes all attributes.

Methods inherited from class net.jini.entry.AbstractEntry
`equals, equals, hashCode, hashCode, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### osName

    public String osName

### osVersion

    public String osVersion

### arch

    public String arch

### jvmVendor

    public String jvmVendor

### jvmVersion

    public String jvmVersion

### hostName

    public String hostName

### hostAddress

    public String hostAddress

Constructor Detail

### ApplianceInfo

    public ApplianceInfo()

Method Detail

### initialize

    public void initialize()
                    throws UnknownHostException

  This initializes all attributes, using `java.net.InetAddress.getLocalHost()` as the address for the compute resource.

  Throws:
    `UnknownHostException` - If the local host cannot be obtained

### initialize

    public void initialize(InetAddress address)

  This initializes all attributes.

  Parameters:
    `address` - The InetAddress of the compute resource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.